TimeSeries — GET /timeseries

What it does

Retrieve time series values for a location and parameter over a selected time range.

When to use

  • Chart recent observations

  • Export values for analysis

  • Compare units or intervals

GET /timeseries - Endpoint Parameters

Parameter

Description

Required

begin

start (also referred to as begin)

datum

The standardized reference system used for either vertical measurements. Examples: NAVD88, NGVD29, LOCAL, etc.

end

end

format

The desired response format. Usage differs between endpoints.

include-entry-date

Include timestamps for when each data point was added to the CWMS database (true/false).

name(required)

The text representation of the unique time series identifier.

Yes

office

see office

page

page

page-size

page-size

timezone

timezone

trim

Trim missing values from the beginning and end of the retrieved values (true/false).

unit

unit (Deprecated, prefer units or unit-system)

units

CWMS database - units

version-date

version-date

Note

Detailed documentation for Legacy Format Responses in CDA is currently in development and will be available at https://cwms-data.usace.army.mil/cwms-data/legacy-format in a future release.

Examples

  • Latest 24 hours in metric units:

GET /timeseries?name=STATION1.Flow.Inst.15Minutes.0.CWMS&begin=2025-10-12T12:35:00.000Z&unit=m3/s

See the consolidated API documentation: API References.